package src

import (
	"crypto/x509"
	"github.com/go-acme/lego/v4/certificate"
)

var clientConfig ClientConfig = ReadConfig()

func GetClientConfig() *ClientConfig {
	return &clientConfig
}

func ReloadClientConfig() {
	clientConfig = ReadConfig()
}

type Result struct {
	Code int
	Msg  string
	Data string
}

type SDomain struct {
	Name  string
	Email string
	Host  []string
}

type CertInfo struct {
	Cert certificate.Resource
	Info x509.Certificate
}

type DomainData struct {
	Fullchain string `json:"fullchain"`
	Key       string `json:"key"`
	Info      string `json:"info"`
}
